## alsa-driver 1.0.25+dfsg

=== Makefile ===
#
# Makefile for ALSA driver
# Copyright (c) 1994-98 by Jaroslav Kysela <perex@perex.cz>
#

ifneq ($(KERNELRELEASE),)
# call from 2.6 kernel build system

obj-m += acore/ i2c/ drivers/ isa/ pci/ ppc/ arm/ synth/ usb/ sparc/ parisc/ sh/ pcmcia/ aoa/ soc/ misc/ firewire/

else

ifndef IGROUP
IGROUP = root
endif
ifndef IUSER
IUSER = root
endif
ALSAKERNELFILE = alsa-kernel/sound_core.c

ifeq (Makefile.conf,$(wildcard Makefile.conf))
include Makefile.conf
include toplevel.config
else
.PHONY: dummy1
dummy1:
	$(MAKE) all-deps
	@echo
	@echo "Please, run the configure script as first..."
	@echo
MAINSRCDIR := $(shell /bin/pwd)
endif

SND_TOPDIR   = $(MAINSRCDIR)
export SND_TOPDIR

ifeq (,$(wildcard acinclude.m4))
.PHONY: dummy2
dummy2:
	$(MAKE) all-deps
	@echo
	@echo "Please, run the configure script as first..."
	@echo
endif

ifdef NEW_KBUILD
ifdef V
  ifeq ("$(origin V)", "command line")
    KBUILD_VERBOSE = $(V)
  endif
endif
ifndef KBUILD_VERBOSE
  KBUILD_VERBOSE = 0
endif
ifdef C
  ifeq ("$(origin C)", "command line")
    KBUILD_CHECKSRC = $(C)
  endif
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif
export KBUILD_VERBOSE KBUILD_CHECKSRC
endif

SUBDIRS  = include acore i2c drivers isa synth pci aoa soc
CSUBDIRS =

ifndef NEW_KBUILD
SUBDIRS += support
endif

ifeq (y,$(CONFIG_ARM))
SUBDIRS  += arm
endif
ifeq (y,$(CONFIG_PPC))
SUBDIRS  += ppc
endif
ifeq (y,$(CONFIG_SPARC32))
SUBDIRS  += sparc
else
ifeq (y,$(CONFIG_SPARC64))
SUBDIRS  += sparc
endif
endif
ifeq (y,$(CONFIG_MIPS))
SUBDIRS  += mips
endif
ifeq (y,$(CONFIG_SGI))
SUBDIRS  += hal2
endif
ifeq (y,$(CONFIG_USB))
SUBDIRS  += usb
endif
ifeq (y,$(CONFIG_PCMCIA))
SUBDIRS  += pcmcia
endif
ifeq (y,$(CONFIG_PARISC))
SUBDIRS  += parisc
endif
ifeq (y,$(CONFIG_SUPERH))
SUBDIRS  += sh
endif
ifeq (m,$(CONFIG_AC97_BUS))
SUBDIRS  += misc
endif
ifeq (y,$(CONFIG_FIREWIRE))
SUBDIRS  += firewire
endif
ifeq (m,$(CONFIG_FIREWIRE))
SUBDIRS  += firewire
endif
CSUBDIRS += test utils

KCONFIG_FILES = $(shell find $(SND_TOPDIR) -name Kconfig) $(shell find $(SND_TOPDIR)/alsa-kernel/ -name Kconfig)

.PHONY: all
all: compile

$(ALSAKERNELFILE):
	{ \
	rm -rf alsa-kernel ; \
	if [ ! -z "$(ALSAKERNELDIR)" ]; then \
		if [ -f $(ALSAKERNELDIR)/kernel/sched.c -o -f $(ALSAKERNELDIR)/kernel/sched/sched.h ]; then \
			# whole linux kernel source tree \
			mkdir alsa-kernel; \
			for i in $(ALSAKERNELDIR)/sound/* ; do \
				ln -sf $$i alsa-kernel ; \
			done ; \
			ln -sf $(ALSAKERNELDIR)/include/sound \
						alsa-kernel/include ; \
			ln -sf $(ALSAKERNELDIR)/include/trace/events \
						alsa-kernel/trace_events ; \
			ln -sf $(ALSAKERNELDIR)/Documentation/sound/alsa \
						alsa-kernel/Documentation ; \
		else \
			# alsa-kmirror tree \
			ln -sf $(ALSAKERNELDIR) alsa-kernel ; \
		fi; \
		ln -sf alsa-kernel sound ; \
	fi \
	}

# to use newalsakernel target:
# ALSAKERNELDIR=yourlinuxtree_or_kmirrortree make newalsakernel
.PHONY: newalsakernel
newalsakernel: $(ALSAKERNELFILE) clean
	rm -rf alsa-kernel
	$(MAKE) $(ALSAKERNELFILE)

utils/mod-deps: utils/mod-deps.c
	gcc utils/mod-deps.c -o utils/mod-deps

toplevel.config.in: $(KCONFIG_FILES) $(ALSAKERNELFILE) utils/mod-deps kconfig-vers
	utils/mod-deps --basedir $(SND_TOPDIR)/alsa-kernel --hiddendir $(SND_TOPDIR) --versiondep $(SND_TOPDIR)/kconfig-vers --makeconf > toplevel.config.in

acinclude.m4: $(KCONFIG_FILES) $(ALSAKERNELFILE) utils/mod-deps kconfig-vers
	utils/mod-deps --basedir $(SND_TOPDIR)/alsa-kernel --hiddendir $(SND_TOPDIR) --versiondep $(SND_TOPDIR)/kconfig-vers --acinclude > acinclude.m4

include/config1.h.in: $(KCONFIG_FILES) $(ALSAKERNELFILE) utils/mod-deps kconfig-vers
	utils/mod-deps --basedir $(SND_TOPDIR)/alsa-kernel --hiddendir $(SND_TOPDIR) --versiondep $(SND_TOPDIR)/kconfig-vers --include > include/config1.h.in

all-deps: toplevel.config.in acinclude.m4 include/config1.h.in

include/sndversions.h:
	$(MAKE) dep

.PHONY: compile
compile: include/sndversions.h
ifdef NEW_KBUILD
	$(MAKE) -C $(CONFIG_SND_KERNELBUILD) SUBDIRS=$(shell /bin/pwd) $(MAKE_ADDS) CPP="$(CPP)" CC="$(CC)" modules
	utils/link-modules $(SND_TOPDIR)
else
	@for d in $(SUBDIRS); do if ! $(MAKE) -C $$d; then exit 1; fi; done
endif
	@echo
	@echo "ALSA modules were successfully compiled."
	@echo

.PHONY: dep
dep:
ifdef NEW_KBUILD
	@for d in $(SUBDIRS); do if ! $(MAKE) -C $$d prepare; then exit 1; fi; done
else
	@for d in $(SUBDIRS); do if ! $(MAKE) -C $$d fastdep; then exit 1; fi; done
endif

.PHONY: map
map:
	awk "{ if ( length( $$1 ) != 0 ) print $$1 }" snd.map | sort -o snd.map1
	mv -f snd.map1 snd.map

.PHONY: install
install: install-headers install-modules install-scripts check-snd-prefix
	@if [ -L /dev/snd ]; then \
		echo "The ALSA devices were removed from /proc/asound/dev directory." ; \
		echo "Creating static device entries in /dev/snd." ; \
		$(SND_TOPDIR)/snddevices ; \
	fi
	cat WARNING

.PHONY: install-headers
install-headers:
	if [ -L $(DESTDIR)$(prefix)/include/sound ]; then \
		rm -f $(DESTDIR)$(prefix)/include/sound; \
		ln -sf $(MAINSRCDIR)/include/sound $(DESTDIR)$(prefix)/include/sound; \
	else \
		rm -rf $(DESTDIR)$(prefix)/include/sound; \
		install -d -m 755 -g $(IGROUP) -o $(IUSER) $(DESTDIR)$(prefix)/include/sound; \
		for f in include/sound/*.h; do \
			install -m 644 -g $(IGROUP) -o $(IUSER) $$f $(DESTDIR)$(prefix)/include/sound; \
		done \
	fi

ifeq ($(CONFIG_SND_KERNELDIR)/System.map,$(wildcard $(CONFIG_SND_KERNELDIR)/System.map))
SYSTEM_MAP_OPT = -F $(CONFIG_SND_KERNELDIR)/System.map
endif

.PHONY: install-modules
install-modules:
ifeq ($(moddir_tree),y)
	find $(DESTDIR)$(moddir) -name 'snd*.*o' | xargs rm -f
	find $(DESTDIR)$(moddir) -name 'snd*.*o.gz' | xargs rm -f
	find $(DESTDIR)$(moddir) -name 'ac97_bus.*o' | xargs rm -f
	find $(DESTDIR)$(moddir) -name 'ac97_bus.*o.gz' | xargs rm -f
else
	rm -f $(DESTDIR)$(moddir)/snd*.*o $(DESTDIR)$(moddir)/persist.o $(DESTDIR)$(moddir)/isapnp.o
	rm -f $(DESTDIR)$(moddir)/snd*.*o.gz $(DESTDIR)$(moddir)/persist.o.gz $(DESTDIR)$(moddir)/isapnp.o.gz
endif
	@for d in $(SUBDIRS); do if ! $(MAKE) -C $$d modules_install; then exit 1; fi; done
ifeq ($(DESTDIR),)
	-/sbin/depmod -a $(kaversion) $(SYSTEM_MAP_OPT)
else
	@echo "*** This is a \`staged' install using the prefix"
	@echo "***	\"$(DESTDIR)\"."
	@echo "***"
	@echo "*** Once the modules have been moved to their final destination you must run the command"
	@echo "***	\"/sbin/depmod -a $(kaversion) $(SYSTEM_MAP_OPT)\"."
	@echo "***"
	@echo "*** Alternatively, if you build a package (e.g. rpm), include the"
	@echo "*** depmode command above in the post-(un)install procedure."
endif

.PHONY: install-scripts
install-scripts:
	@for d in /sbin/init.d /etc/rc.d/init.d /etc/init.d; do \
	 if [ -d $(DESTDIR)$$d ]; then \
	   if [ -f $(DESTDIR)$$d/alsasound ]; then \
	     cmp -s utils/alsasound $(DESTDIR)$$d/alsasound || \
	       install -m 755 -g $(IGROUP) -o $(IUSER) utils/alsasound $(DESTDIR)$$d/alsasound.new; \
	     break; \
	   fi; \
	   install -m 755 -g $(IGROUP) -o $(IUSER) utils/alsasound $(DESTDIR)$$d/alsasound; \
	   break; \
	fi; done

.PHONY: check-snd-prefix
check-snd-prefix:
	@ if [ x"$(DESTDIR)" = x -a -f /etc/modules.conf ]; then \
	  if grep -s -q snd_ /etc/modules.conf; then \
	    echo;\
	    echo "             ===== WARNING =====";\
	    echo;\
	    echo "The options for ALSA modules on your system still include snd_ prefix,";\
	    echo "which is obsoleted now.  Please fix /etc/modules.conf.";\
	    echo "For convenience, you can use utils/module-options script to convert";\
	    echo "the snd_ prefix automatically.";\
	    echo;\
	fi; fi

.PHONY: clean1
clean1:
	rm -f .depend *.o snd.map*
ifdef DEXPORT
	rm -f $(DEXPORT)/*.ver
endif
	rm -f modules/*.o modules/*.ko

.PHONY: clean
clean: clean1
ifdef NEW_KBUILD
	rm -rf .tmp_versions
endif
	@for d in $(SUBDIRS); do if ! $(MAKE) -C $$d clean; then exit 1; fi; done
	@for d in $(CSUBDIRS); do if ! $(MAKE) -C $$d clean; then exit 1; fi; done

.PHONY: mrproper
mrproper: clean1
	@for d in $(SUBDIRS); do if ! $(MAKE) -C $$d mrproper; then exit 1; fi; done
	@for d in $(CSUBDIRS); do if ! $(MAKE) -C $$d mrproper; then exit 1; fi; done
	rm -f *~ out.txt *.orig *.rej .#* .gdb_history
	rm -f doc/*~
	-rm -f config.cache config.log config.status Makefile.conf
	rm -f utils/alsa-driver.spec
	rm -f `find alsa-kernel -name "*~"`
	rm -f `find alsa-kernel -name "*.orig"`
	rm -f `find alsa-kernel -name "*.rej"`
	rm -f `find alsa-kernel -name ".#*"`
	rm -f `find alsa-kernel -name "out.txt"`
	rm -rf autom4te.cache

.PHONY: cvsclean hgclean gitclean
gitclean: mrproper
	rm -f configure snddevices aclocal.m4 acinclude.m4 include/config.h include/config1.h \
	  include/config1.h.in toplevel.config toplevel.config.in \
	  sound
	rm -rf include/linux alsa-kernel
hgclean: gitclean
cvsclean: gitclean

.PHONY: pack
pack: $(ALSAKERNELFILE) mrproper
	chmod 755 utils/alsasound
	# big note: use always '--bzip2 -p' where -p is fake argument
	# it seems that some older tar has wrong getopt list
	{ \
		cd .. ; \
		rm -rf alsa-driver/alsa-kernel ; \
		mv alsa-kmirror alsa-driver/alsa-kernel ; \
		mv alsa-driver alsa-driver-$(CONFIG_SND_VERSION) ; \
		tar --exclude=CVS --exclude=kchanges --exclude=.cvsignore \
                    --exclude='.hg*' --exclude=.gitignore \
                    --owner=$(IGROUP) --group=$(IUSER) -cv --bzip2 -p \
                    -f alsa-driver-$(CONFIG_SND_VERSION).tar.bz2 alsa-driver-$(CONFIG_SND_VERSION) ; \
		mv alsa-driver-$(CONFIG_SND_VERSION) alsa-driver ; \
	}

.PHONY: uninstall
uninstall:
	-rm -rf $(DESTDIR)$(prefix)/include/sound
ifeq ($(moddir_tree),y)
	{ \
		for i in core $(SUBDIRS) ; do \
			rm -rf $(DESTDIR)$(moddir)/$$i ; \
		done ; \
	}
else
	rm -f $(DESTDIR)$(moddir)/snd*.o $(DESTDIR)$(moddir)/persist.o $(DESTDIR)$(moddir)/isapnp.o
endif
	rm -f $(DESTDIR)/sbin/init.d/alsasound
	rm -f $(DESTDIR)/etc/rc.d/init.d/alsasound
	rm -f $(DESTDIR)/etc/init.d/alsasound

.PHONY: TAGS
TAGS:
	find . -name '*.[ch]' | etags -

endif # call from 2.6 kernel build system

=== acore/Makefile ===
ifndef SND_TOPDIR
SND_TOPDIR=..
endif

include $(SND_TOPDIR)/toplevel.config
include $(SND_TOPDIR)/Makefile.conf

clean-files := info.c pcm.c pcm_native.c pcm_memory.c control.c hwdep.c \
	       init.c rawmidi.c sound.c timer.c memalloc.c misc.c hrtimer.c

export-objs := control.o device.o info.o info_oss.o init.o isadma.o memory.o \
	misc.o misc_driver.o sound.o sound_oss.o \
	pcm.o pcm_lib.o pcm_memory.o pcm_misc.o pcm_native.o \
	rawmidi.o timer.o hwdep.o memalloc.o vmaster.o wrappers.o

include $(SND_TOPDIR)/alsa-kernel/core/Makefile

snd-objs += wrappers.o misc_driver.o
ifeq ($(CONFIG_SND_DEBUG_MEMORY),y)
snd-objs += memory_debug.o
endif
snd-page-alloc-objs += memory_wrapper.o
snd-hpet-objs := hpetimer.o

obj-$(CONFIG_SND_HPET) += snd-hpet.o
obj-$(CONFIG_SND_BIT32_EMUL) += ioctl32/

include $(SND_TOPDIR)/Rules.make

info.c: info.inc info.patch $(SND_TOPDIR)/alsa-kernel/core/info.c
pcm.c: pcm.patch $(SND_TOPDIR)/alsa-kernel/core/pcm.c
pcm_native.c: pcm_native.patch $(SND_TOPDIR)/alsa-kernel/core/pcm_native.c
pcm_memory.c: pcm_memory.patch $(SND_TOPDIR)/alsa-kernel/core/pcm_memory.c
control.c: control.patch $(SND_TOPDIR)/alsa-kernel/core/control.c
hwdep.c: hwdep.patch $(SND_TOPDIR)/alsa-kernel/core/hwdep.c
init.c: init.patch $(SND_TOPDIR)/alsa-kernel/core/init.c
rawmidi.c: rawmidi.patch $(SND_TOPDIR)/alsa-kernel/core/rawmidi.c
sound.c: sound.patch $(SND_TOPDIR)/alsa-kernel/core/sound.c
timer.c: timer.patch $(SND_TOPDIR)/alsa-kernel/core/timer.c
memalloc.c: memalloc.patch memalloc.inc memalloc.inc1 $(SND_TOPDIR)/alsa-kernel/core/memalloc.c
misc.c: misc.patch $(SND_TOPDIR)/alsa-kernel/core/misc.c
hrtimer.c: hrtimer.patch $(SND_TOPDIR)/alsa-kernel/core/hrtimer.c

=== aoa/Makefile ===
ifndef SND_TOPDIR
SND_TOPDIR=..
endif

include $(SND_TOPDIR)/toplevel.config
include $(SND_TOPDIR)/Makefile.conf

include $(SND_TOPDIR)/alsa-kernel/aoa/Makefile

include $(SND_TOPDIR)/Rules.make

=== arm/Makefile ===
ifndef SND_TOPDIR
SND_TOPDIR=..
endif

include $(SND_TOPDIR)/toplevel.config
include $(SND_TOPDIR)/Makefile.conf

include $(SND_TOPDIR)/alsa-kernel/arm/Makefile

snd-sa11xx-uda1341-objs		:= sa11xx-uda1341.o
snd-sa11x0-pcm-objs		:= sa11x0-pcm.o devdma.o
snd-pxa2xx-i2sound-objs		:= pxa2xx-i2sound.o

obj-$(CONFIG_SND_SA11XX_UDA1341) += snd-sa11xx-uda1341.o 
obj-$(CONFIG_SND_S3C2410)	+= s3c24xx-iis.o
obj-$(CONFIG_SND_PXA2xx_I2SOUND)	+= snd-pxa2xx-i2sound.o

include $(SND_TOPDIR)/Rules.make

=== drivers/Makefile ===
ifndef SND_TOPDIR
SND_TOPDIR=..
endif

include $(SND_TOPDIR)/toplevel.config
include $(SND_TOPDIR)/Makefile.conf

# ALSA extra definitions

clean-files := mts64.c portman2x4.c

snd-serialmidi-objs := serialmidi.o
obj-$(CONFIG_SND_SERIALMIDI) += snd-serialmidi.o

include $(SND_TOPDIR)/alsa-kernel/drivers/Makefile

include $(SND_TOPDIR)/Rules.make

mts64.c: mts64.patch $(SND_TOPDIR)/alsa-kernel/drivers/mts64.c
portman2x4.c: portman2x4.patch $(SND_TOPDIR)/alsa-kernel/drivers/portman2x4.c

=== firewire/Makefile ===
ifndef SND_TOPDIR
SND_TOPDIR=..
endif

include $(SND_TOPDIR)/toplevel.config
include $(SND_TOPDIR)/Makefile.conf

clean-files := cmp.c iso-resources.c

include $(SND_TOPDIR)/alsa-kernel/firewire/Makefile

EXTRA_CFLAGS += -I$(SND_TOPDIR)/alsa-kernel/firewire

include $(SND_TOPDIR)/Rules.make

cmp.c: cmp.patch $(SND_TOPDIR)/alsa-kernel/firewire/cmp.c
iso-resources.c: iso-resources.patch $(SND_TOPDIR)/alsa-kernel/firewire/iso-resources.c

=== i2c/Makefile ===
ifndef SND_TOPDIR
SND_TOPDIR=..
endif

include $(SND_TOPDIR)/toplevel.config
include $(SND_TOPDIR)/Makefile.conf

extra-subdir-y  := other
extra-subdir-m  := $(extra-subdir-y)

export-objs  := i2c.o cs8427.o tea6330t.o

snd-uda1380-objs := uda1380.o
obj-$(CONFIG_SND_UDA1380) += snd-uda1380.o

include $(SND_TOPDIR)/alsa-kernel/i2c/Makefile

obj-$(CONFIG_L3) += l3/

include $(SND_TOPDIR)/Rules.make

=== parisc/Makefile ===
ifndef SND_TOPDIR
SND_TOPDIR=..
endif

include $(SND_TOPDIR)/toplevel.config
include $(SND_TOPDIR)/Makefile.conf

include $(SND_TOPDIR)/alsa-kernel/parisc/Makefile

include $(SND_TOPDIR)/Rules.make

=== pci/Makefile ===
ifndef SND_TOPDIR
SND_TOPDIR=..
endif

include $(SND_TOPDIR)/toplevel.config
include $(SND_TOPDIR)/Makefile.conf

#
# ALSA extra code
#

clean-files := atiixp.c atiixp_modem.c bt87x.c cmipci.c ens1370.c \
	fm801.c intel8x0.c maestro3.c via82xx.c via82xx_modem.c

obj-$(CONFIG_SND) += pdplus/ asihpi/

#
#
#

include $(SND_TOPDIR)/alsa-kernel/pci/Makefile

include $(SND_TOPDIR)/Rules.make

atiixp.c: atiixp.patch $(SND_TOPDIR)/alsa-kernel/pci/atiixp.c
atiixp_modem.c: atiixp_modem.patch $(SND_TOPDIR)/alsa-kernel/pci/atiixp_modem.c
bt87x.c: bt87x.patch $(SND_TOPDIR)/alsa-kernel/pci/bt87x.c
cmipci.c: cmipci.patch $(SND_TOPDIR)/alsa-kernel/pci/cmipci.c
ens1370.c: ens1370.patch $(SND_TOPDIR)/alsa-kernel/pci/ens1370.c
ens1371.c: ens1370.c
fm801.c: fm801.patch $(SND_TOPDIR)/alsa-kernel/pci/fm801.c
intel8x0.c: intel8x0.patch $(SND_TOPDIR)/alsa-kernel/pci/intel8x0.c
maestro3.c: maestro3.patch $(SND_TOPDIR)/alsa-kernel/pci/maestro3.c
via82xx.c: via82xx.patch $(SND_TOPDIR)/alsa-kernel/pci/via82xx.c
via82xx_modem.c: via82xx_modem.patch $(SND_TOPDIR)/alsa-kernel/pci/via82xx_modem.c

=== pcmcia/Makefile ===
ifndef SND_TOPDIR
SND_TOPDIR=..
endif

include $(SND_TOPDIR)/toplevel.config
include $(SND_TOPDIR)/Makefile.conf

include $(SND_TOPDIR)/alsa-kernel/pcmcia/Makefile

include $(SND_TOPDIR)/Rules.make

=== sh/Makefile ===
ifndef SND_TOPDIR
SND_TOPDIR=..
endif

include $(SND_TOPDIR)/toplevel.config
include $(SND_TOPDIR)/Makefile.conf

include $(SND_TOPDIR)/alsa-kernel/sh/Makefile

include $(SND_TOPDIR)/Rules.make

=== soc/Makefile ===
ifndef SND_TOPDIR
SND_TOPDIR=..
endif

include $(SND_TOPDIR)/toplevel.config
include $(SND_TOPDIR)/Makefile.conf

clean-files := soc-core.c

include $(SND_TOPDIR)/alsa-kernel/soc/Makefile

include $(SND_TOPDIR)/Rules.make

soc-core.c: soc-core.patch $(SND_TOPDIR)/alsa-kernel/soc/soc-core.c

=== debian/changelog ===
alsa-driver (1.0.25+dfsg-0ubuntu8) plucky; urgency=medium

  * Add Rules-Requires-Root: binary-targets (LP: #2106249)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 04 Apr 2025 17:44:28 +0200

alsa-driver (1.0.25+dfsg-0ubuntu7) hirsute; urgency=medium

  * Stop building the udeb on request.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 12:36:28 +0100

alsa-driver (1.0.25+dfsg-0ubuntu6) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:29:56 +0100

alsa-driver (1.0.25+dfsg-0ubuntu5) wily; urgency=medium

  * debian/control:
    - Depend on kmod instead of obsolete module-init-tools package

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 31 Jul 2015 15:36:44 +1200

alsa-driver (1.0.25+dfsg-0ubuntu4) raring; urgency=low

  * debian/control: Update Vcs-Bzr field
  * Mark alsa-base as Multi-Arch foreign

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 14 Feb 2013 09:16:50 +1100

alsa-driver (1.0.25+dfsg-0ubuntu3) quantal; urgency=low

  [ David Henningsson ]
  * alsa-base.apm, alsa-base.init: 
    Use correct paths to /usr/sbin/alsa and /usr/sbin/alsactl (LP: #1061719) 

  [ Adam Conrad ]
  * Fix the previous commit to reference /usr/sbin/alsactl and /sbin/alsa

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 07 Oct 2012 17:08:59 -0600

alsa-driver (1.0.25+dfsg-0ubuntu2) quantal; urgency=low

  * debian/control: Update Vcs-Bzr field
  * debian/rules: Ship alsa-info.sh, since we're going to use
    that in apport.

 -- David Henningsson <david.henningsson@canonical.com>  Mon, 21 May 2012 01:17:55 +0200

alsa-driver (1.0.25+dfsg-0ubuntu1) precise; urgency=low

  * New upstream release
  * Refreshed all patches.

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 16 Feb 2012 13:51:48 +1100

alsa-driver (1.0.24+dfsg-0ubuntu3) precise; urgency=low

  - Luke Yelavich ]
  * debian/control: Update Vcs-Bzr field

  Cherry-pick a change from svn, currently unreleased

  [ Elimar Riesebieter ]
  * udev-related code removed from alsa-base.postinst (closes: #633294)

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 18 Oct 2011 11:00:47 +1100

=== debian/control ===
Source: alsa-driver
Section: sound
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>
Uploaders: Jordi Mallach <jordi@debian.org>, Elimar Riesebieter <riesebie@lxtec.de>
Build-Depends-Indep: autoconf, bzip2, cpio
Build-Depends: debhelper (>= 7), po-debconf
Rules-Requires-Root: binary-targets
Standards-Version: 3.9.2
Homepage: http://www.alsa-project.org/
XS-Debian-Vcs-Svn: svn://svn.debian.org/pkg-alsa/trunk/alsa-driver
XS-Debian-Vcs-Browser: http://svn.debian.org/wsvn/pkg-alsa/trunk/alsa-driver/
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-audio-dev/alsa-driver/ubuntu

Package: linux-sound-base
Architecture: all
Depends: ${misc:Depends}, kmod (>= 17-1)
Suggests: alsa-base (>= 1.0.18-1)
Description: base package for ALSA and OSS sound systems
 This package allows the administrator to choose between
 the OSS and ALSA sound systems.
 .
 ALSA is the Advanced Linux Sound Architecture.
 OSS is the free version of the Open Sound System.

Package: alsa-base
Architecture: all
Provides: alsa
Multi-Arch: foreign
Depends: ${misc:Depends}, kmod (>= 17-1), linux-sound-base, udev
Recommends: alsa-utils
Suggests: apmd (>= 3.0.2-1), alsa-oss, oss-compat
Description: ALSA driver configuration files
 This package contains various configuration files for
 the ALSA drivers.
 .
 For ALSA to work on a system with a given sound card,
 there must be an ALSA driver for that card in the kernel.
 Linux 2.6 as shipped in linux-image packages contains
 ALSA drivers for all supported sound cards in the form
 of loadable modules. A custom alsa-modules package can
 be built from the sources in the alsa-source package
 using the m-a utility (included in the module-assistant
 package). Please read the README.Debian file for more
 information about loading and building modules.
 .
 ALSA is the Advanced Linux Sound Architecture.

Package: alsa-base-udeb
Architecture: all
Section: debian-installer
Provides: alsa
Depends: ${misc:Depends}
Recommends: alsa-utils
Package-Type: udeb
Build-Profiles: <!noudeb>
Description: ALSA driver configuration files
 This package contains minimum configuration files for
 the ALSA drivers for the Debian Installer.

Package: alsa-source
Architecture: all
Section: kernel
Depends: ${misc:Depends}, make, gcc | c-compiler, dpkg-dev, debhelper (>= 5.0.37), debconf-utils, bzip2
Recommends: fakeroot, module-assistant, linux-headers
Suggests: kernel-package
Description: ALSA driver sources
 This package contains the source code for the ALSA drivers.
 The source code can be compiled into an alsa-modules package
 using the m-a utility (available in the module-assistant
 package). Please note that the kernel headers must be
 installed to compile these modules. Please read the
 README.Debian file for more information about loading and
 building modules.
 .
 ALSA is the Advanced Linux Sound Architecture.

=== debian/rules ===
#!/usr/bin/make -f

# alsa-driver's debian/rules.
# Substantially rewritten by Steve Kowalik <stevenk@debian.org>
# Substantially rewritten by Thomas Hood <jdthood@yahoo.co.uk>

export DH_VERBOSE=1

ifeq (,$(filter noudeb, $(DEB_BUILD_PROFILES)))
  with_udeb = yes
endif

SHELL := /bin/bash
# Bwahaha, let's play "Fool dpatch"
# PACKAGE := ALSA
# No, no. Switched to quilt ;)

SRC_DIR := debian/alsa-source/usr/src/modules/alsa-driver
INSTALL_UAG := -o root -g audio

#include /usr/share/quilt/quilt.make

clean:
	dh_testdir
	dh_testroot
	debconf-updatepo
	-$(RM) build-stamp
	-$(RM) include/isapnp.h
	-$(RM) -r debian/patched
	-$(RM) debian/files
	-$(RM) debian/OSS-module-list_cleaned
	-$(RM) debian/ALSA-module-list_cleaned
	-$(RM) debian/ALSA-card-list_cleaned
	-$(RM) debian/ALSA-card-list_cleaned_nobrackets
	-$(RM) debian/ALSA-card-list_cleaned_nodescriptions
	-$(RM) debian/ALSA-card-list_needingpostinstall
	-$(RM) debian/ALSA-card-list_modem
	-$(RM) debian/ALSA-card-list_tv
	-$(RM) debian/ALSA-card-list_usb
	-$(RM) debian/ALSA-card-list_pcps
	dh_prep

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: configure build-stamp
build-stamp:
	touch build-stamp

binary: binary-indep binary-arch

binary-indep: DH_OPTIONS=-i
binary-indep: build-stamp build-source
	dh_testdir
	dh_testroot
	dh_installdirs
	### Start: Workaround bug #518242. Let udev do the job
	#install $(INSTALL_UAG) -m755 debian/alsa-base.modprobe-post-install \
	#	debian/alsa-base/lib/alsa/modprobe-post-install
	### END: Workaround bug #518242. Let udev do the job
	install $(INSTALL_UAG) -m755 debian/alsa-base.init \
		debian/alsa-base/sbin/alsa
	install $(INSTALL_UAG) -m755 debian/alsa-base.apm \
		debian/alsa-base/etc/apm/scripts.d/alsa
	install $(INSTALL_UAG) -m644 debian/alsa-base.defaultfile \
		debian/alsa-base/usr/share/alsa-base/alsa.default
	install $(INSTALL_UAG) -m644 debian/alsa-source.conf \
		debian/alsa-source/usr/share/alsa-source/alsa-source.conf
	install -m644 debian/apport-hook.py \
		debian/alsa-base/usr/share/apport/package-hooks/source_alsa-driver.py
	install -m755 utils/alsa-info.sh \
		debian/alsa-base/usr/share/alsa-base/alsa-info.sh
	### Generate lists
	cat debian/OSS-module-list \
		| sed -e 's/^[[:space:]]*//' -e 's/#.*//' -e '/^$$/d' \
		> debian/OSS-module-list_cleaned
	cat debian/ALSA-module-list \
		| sed -e 's/^[[:space:]]*//' -e 's/#.*//' -e '/^$$/d' \
		> debian/ALSA-module-list_cleaned
	cat debian/ALSA-card-list \
		| sed -e 's/^[[:space:]]*//' -e 's/#.*//' -e 's/,//' -e '/^$$/d' \
		> debian/ALSA-card-list_cleaned
	cat debian/ALSA-card-list_cleaned \
		| sed -e 's/ \[[^]]*\]//' \
		> debian/ALSA-card-list_cleaned_nobrackets
	cat debian/ALSA-card-list_cleaned \
		| sed -e 's/ .*$$//' \
		> debian/ALSA-card-list_cleaned_nodescriptions
	cat debian/ALSA-card-list_cleaned \
		| sed -e '/MODEM/d' \
		      -e '/TV/d' \
		      -e '/UNREAL/d' \
		      -e '/NOPOSTINSTALL/d' \
		> debian/ALSA-card-list_needingpostinstall
	cat debian/ALSA-card-list_cleaned \
		| grep -e 'MODEM' \
		> debian/ALSA-card-list_modem
	cat debian/ALSA-card-list_cleaned \
		| grep -e 'TV' \
		> debian/ALSA-card-list_tv
	cat debian/ALSA-card-list_cleaned \
		| grep -e 'USB' \
		> debian/ALSA-card-list_usb
	### Generate alsa-source.templates
	cp -p debian/alsa-source.templates debian/alsa-source.templates_BAK
	cat debian/alsa-source.templates_BAK \
		| sed "s%_CARDS_WITH_DESCRIPTIONS_%$$(echo $$(sed -e '$$!s/$$/, /' debian/ALSA-card-list_cleaned_nobrackets))%" \
		| sed "s%_CARDS_WITHOUT_DESCRIPTIONS_%$$(echo $$(sed -e '$$!s/$$/, /' debian/ALSA-card-list_cleaned_nodescriptions))%" \
		> debian/alsa-source.templates
	### Install blacklists and related
	install $(INSTALL_UAG) -m644 debian/OSS-module-list_cleaned \
		debian/linux-sound-base/usr/share/linux-sound-base/OSS-module-list
	install $(INSTALL_UAG) -m644 debian/ALSA-module-list_cleaned \
		debian/linux-sound-base/usr/share/linux-sound-base/ALSA-module-list
	cat debian/OSS-module-list_cleaned \
		| sed -e 's/[[:space:]].*//' -e 's/^/blacklist /' \
		> debian/linux-sound-base/lib/linux-sound-base/noOSS.modprobe.conf
	cat debian/ALSA-module-list_cleaned \
		| sed -e 's/[[:space:]].*//' -e 's/^/blacklist /' \
		> debian/linux-sound-base/lib/linux-sound-base/noALSA.modprobe.conf
	echo '# Uncomment these entries in order to blacklist unwanted modem drivers' \
		> debian/alsa-base/etc/modprobe.d/blacklist-modem.conf
	cat debian/ALSA-card-list_modem \
		| sed -e 's/[[:space:]].*//' -e 's/^/# blacklist snd-/' \
		>> debian/alsa-base/etc/modprobe.d/blacklist-modem.conf
	echo '# Comment this entry in order to load snd-pcsp driver' \
		>> debian/alsa-base/etc/modprobe.d/alsa-base.conf
	echo 'blacklist snd-pcsp' \
		>> debian/alsa-base/etc/modprobe.d/alsa-base.conf
	#echo '# Comment this entry in order to load pcspkr driver' \
	#	>> debian/alsa-base/etc/modprobe.d/alsa-base.conf
	#echo 'blacklist pcspkr' \
	#	>> debian/alsa-base/etc/modprobe.d/alsa-base.conf
	### Install module options
	install $(INSTALL_UAG) -m644 debian/alsa-base.modprobe \
		debian/alsa-base/etc/modprobe.d/alsa-base.conf
	### Start: Workaround bug #518242. Let udev do the job
	#echo "# Cause a script to be run after card driver module initialization" \
	#	>> debian/alsa-base/etc/modprobe.d/alsa-base.conf
	#cat debian/ALSA-card-list_needingpostinstall \
	#	| sed -e 's/[[:space:]].*//' -e 's%\(.*\)%install snd-\1 /sbin/modprobe --ignore-install snd-\1 $$CMDLINE_OPTS \&\& /lib/alsa/modprobe-post-install snd-\1%' \
	#	>> debian/alsa-base/etc/modprobe.d/alsa-base.conf
	### End: Workaround bug #518242. Let udev do the job
	### The default index of these drivers is -2 as of ALSA 1.0.9
	echo "# Prevent abnormal drivers from grabbing index 0" \
		>> debian/alsa-base/etc/modprobe.d/alsa-base.conf
	cat debian/ALSA-card-list_tv \
		| sed -e 's/[[:space:]].*//' -e 's%\(.*\)%options \1 index=-2%' \
		>> debian/alsa-base/etc/modprobe.d/alsa-base.conf
	cat debian/ALSA-card-list_modem debian/ALSA-card-list_usb \
		| sed -e 's/[[:space:]].*//' -e 's%\(.*\)%options snd-\1 index=-2%' \
		>> debian/alsa-base/etc/modprobe.d/alsa-base.conf
	echo "# Ubuntu #62691, enable MPU for snd-cmipci" \
		>> debian/alsa-base/etc/modprobe.d/alsa-base.conf
	echo "options snd-cmipci mpu_port=0x330 fm_port=0x388" \
		>> debian/alsa-base/etc/modprobe.d/alsa-base.conf
	### This is for kernels >= 2.6.26
	echo "# Keep snd-pcsp from being loaded as first soundcard" \
		>> debian/alsa-base/etc/modprobe.d/alsa-base.conf
	echo "options snd-pcsp index=-2" \
		>> debian/alsa-base/etc/modprobe.d/alsa-base.conf
	echo "# Keep snd-usb-audio from beeing loaded as first soundcard" \
		>> debian/alsa-base/etc/modprobe.d/alsa-base.conf
	echo "options snd-usb-audio index=-2" \
		>> debian/alsa-base/etc/modprobe.d/alsa-base.conf
ifeq ($(with_udeb),yes)
	cp debian/alsa-base/etc/modprobe.d/* debian/alsa-base-udeb/etc/modprobe.d/
endif
	### Install debconf templates
	dh_installdebconf
	cp -p debian/alsa-source.templates_BAK debian/alsa-source.templates && rm -f debian/alsa-source.templates_BAK
	dh_lintian
	install -p -m 0644 -o root -g root debian/alsa-base.bug.presubj \
		debian/alsa-base/usr/share/bug/alsa-base/presubj
	install -p -m 0644 -o root -g root debian/alsa-source.bug.presubj \
		debian/alsa-source/usr/share/bug/alsa-source/presubj
	install -p -m 0644 -o root -g root debian/alsa-base.bug.control \
		debian/alsa-base/usr/share/bug/alsa-base/control
	install -p -m 0644 -o root -g root debian/alsa-source.bug.control \
		debian/alsa-source/usr/share/bug/alsa-source/control
	install -p -m 0755 -o root -g root debian/alsa-base.bug.script \
		debian/alsa-base/usr/share/bug/alsa-base/script
	install -p -m 0755 -o root -g root debian/alsa-source.bug.script \
		debian/alsa-source/usr/share/bug/alsa-source/script
	dh_installdocs
	dh_installman
	dh_installchangelogs -i
	dh_installchangelogs -palsa-source -palsa-base debian/changelog.ALSA
	dh_installdocs -p alsa-base debian/changelog-old.Debian
